AI
Ask Zo
Send a message to your Zo and get a response. Use stream: true for Server-Sent Events streaming.
POST
/
zo
/
ask
Ask Zo
curl --request POST \
--url https://api.zo.computer/zo/ask \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"conversation_id": "<string>",
"model_name": "<string>",
"persona_id": "<string>",
"output_format": {
"type": "<string>",
"required": [
"<string>"
],
"properties": {},
"description": "<string>"
},
"memory_mode": "enabled",
"stream": false
}
'import requests
url = "https://api.zo.computer/zo/ask"
payload = {
"input": "<string>",
"conversation_id": "<string>",
"model_name": "<string>",
"persona_id": "<string>",
"output_format": {
"type": "<string>",
"required": ["<string>"],
"properties": {},
"description": "<string>"
},
"memory_mode": "enabled",
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: '<string>',
conversation_id: '<string>',
model_name: '<string>',
persona_id: '<string>',
output_format: {
type: '<string>',
required: ['<string>'],
properties: {},
description: '<string>'
},
memory_mode: 'enabled',
stream: false
})
};
fetch('https://api.zo.computer/zo/ask', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": "<string>",
"conversation_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Zo API key (zo_sk_...)
Body
application/json
Your message to Zo
Continue an existing conversation
Override the default model (for example, 'zo:openai/gpt-5.4'; use /models/available to list available)
Override the active persona (use /personas/available to list available)
JSON Schema for structured output
Show child attributes
Show child attributes
Memory mode for this request: 'enabled' includes workspace memory, 'off' disables it.
Available options:
enabled, off Enable streaming mode (returns Server-Sent Events)
⌘I
Ask Zo
